;------------------------------------------------------
; SOLAR assembler
; Copyright (c) 2004-2008, Bogdan Valentin Ontanu.
; All rights reserved.
;------------------------------------------------------

;------------------------------------------------------------------
; This file is used to test Sol_ASM
; COFF output
;
; to be linked with MASM's LINKER
; you will also need kernel32.lib in path
;------------------------------------------------------------------
import_dll 	kernel32.dll
	import_func	ExitProcess 	alias	__imp__ExitProcess@4
	import_func	GetStdHandle	alias	__imp__GetStdHandle@4
	import_func	WriteFile	alias	__imp__WriteFile@20


section "code"	 	class_code
section "data"		class_data


STD_INPUT_HANDLE	EQU	-10
STD_OUTPUT_HANDLE	EQU	-11

.entry _App_Init

.data

	out_handle	dd	0
	bytes_wr	dd	0
			dd	0

	msg_txt		db	13,10," Message from SOL_ASM COFF linked App..."
			db	13,10,"----------------------------------------"
			db	13,10,0

	msg_len		equ	$-msg_txt
.code

	nop
	nop

_App_Init:

	invoke	GetStdHandle,STD_OUTPUT_HANDLE
	mov	[out_handle],eax

	invoke	WriteFile,[out_handle],msg_txt,msg_len,bytes_wr,0

	invoke	ExitProcess,0
	ret


















